Subject: Re: [REGRESSION] git-gui

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 7 Apr 2008 22:18:07 -0400

Teemu Likonen <[email-masked]> wrote:
> David Kågedal kirjoitti (7.4.2008 klo 9.38):
> > "Jonathan del Strother" <[email-masked]> writes:
> > 
> > > Anyone else got any opinions on an appropriate shortcut?  How about
> > > '=' and '-' (+ and - without the shift), or are those not
> > > necessarily together either?  (Are there really layouts where '['
> > > and ']' aren't next to each other?)
> > 
> > A Swedish keyboard has [] on alt-gr (Modeshift) 8 and 9.  Plus and
> > minus are unshifted and = is on shift-0.
> > 
> > So with a Swedish layout, it is annoying when zoom in is on = rather
> > than +, just because someone assumed that it would be harder to press
> > the more logical plus key.
> 
> The above also applies to Finnish and Norwegian keyboards, probably to
> many more. The key pair '=' and '-' would be a poor UI decision. In
> principle one should never assume that a key is in certain place in the
> keyboard; it's much better idea to be logical with _characters_. So if
> a key pair much be defined for different aspects of the same
> functionality, let's choose logical pairs from common characters: +- []
> {} () <> zZ aA bB ... (To me all these are OK.)

Well, Ctrl-+ and Ctrl-= are bound to the same action (increase
context), and Ctrl-- is bound to the opposite action (decrease
context).  So Swedish folks should be able to use Ctrl-+ and
be happy.

Except it doesn't show in the menubar as being a possible keyboard
driven action.  That was in the original patch, but I took it out
to enable the accelator to draw on Mac OS X.

-- 
Shawn.